OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.MemoryObjectFd

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTMemoryObjectFd :: MonadIO m => m Bool
- gl_EXT_memory_object_fd :: Bool
- pattern GL_HANDLE_TYPE_OPAQUE_FD_EXT :: GLenum
- glImportMemoryFdEXT :: MonadIO m => GLuint -> GLuint64 -> GLenum -> GLint -> m ()

# Extension Support

glGetEXTMemoryObjectFd :: MonadIO m => m Bool Source #

Is the EXT_memory_object_fd extension supported?

gl_EXT_memory_object_fd :: Bool Source #

Is the EXT_memory_object_fd extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTMemoryObjectFd` in those cases instead.

# Enums

pattern GL_HANDLE_TYPE_OPAQUE_FD_EXT :: GLenum Source #

# Functions

glImportMemoryFdEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLuint64 | `size`.
-> GLenum | `handleType` of type ExternalHandleType.
-> GLint | `fd`.
-> m () |